Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
DL_PrivateKey< T > Class Template Reference

interface for DL private keys More...

`#include <pubkey.h>`

Inheritance diagram for DL_PrivateKey< T >:

List of all members.

## Public Types

typedef T | Element

## Public Member Functions

void | MakePublicKey (DL_PublicKey< T > &pub) const
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const
void | AssignFrom (const NameValuePairs &source)
virtual const Integer & | GetPrivateExponent () const =0
virtual void | SetPrivateExponent (const Integer &x)=0
virtual const DL_GroupParameters< T > & | GetAbstractGroupParameters () const =0
virtual DL_GroupParameters< T > & | AccessAbstractGroupParameters ()=0

## Detailed Description

### template<class T>
class DL_PrivateKey< T >

interface for DL private keys

Definition at line 675 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h